From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-eselect/eselect-wine/
Date: Sun, 30 Jul 2023 16:18:16 +0000 (UTC) [thread overview]
Message-ID: <1690733824.128b13f15d285daec216c6092bf0eab189743d6d.ionen@gentoo> (raw)
commit: 128b13f15d285daec216c6092bf0eab189743d6d
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 21:39:20 2023 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Jul 30 16:17:04 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=128b13f1
app-eselect/eselect-wine: revbump without /usr/bin/wine symlink
To ~arch for now in case this end up having unexpected
consequences, albeit will not wait all that long.
Also adjust messages (both first merge and update from -r0)
to advertise the full path if users need it.
Closes: https://bugs.gentoo.org/911245
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
.../eselect-wine/eselect-wine-2.0.2-r1.ebuild | 91 ++++++++++++++++++++++
1 file changed, 91 insertions(+)
diff --git a/app-eselect/eselect-wine/eselect-wine-2.0.2-r1.ebuild b/app-eselect/eselect-wine/eselect-wine-2.0.2-r1.ebuild
new file mode 100644
index 000000000000..1ef98a08e3ec
--- /dev/null
+++ b/app-eselect/eselect-wine/eselect-wine-2.0.2-r1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Manage active Wine slots and variants"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Wine"
+SRC_URI="https://gitweb.gentoo.org/proj/eselect-wine.git/snapshot/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+xdg"
+
+# xdg-utils needed for bug #884077
+RDEPEND="
+ app-admin/eselect
+ xdg? ( x11-misc/xdg-utils )
+"
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins wine.eselect
+
+ keepdir /etc/eselect/wine
+
+ newenvd - 95${PN} <<-EOF
+ PATH="${EPREFIX}/etc/eselect/wine/bin"
+ MANPATH="${EPREFIX}/etc/eselect/wine/share/man"$(usev xdg "
+ XDG_DATA_DIRS=\"${EPREFIX}/etc/eselect/wine/share\"")
+ EOF
+
+ # links for building, e.g. wineasio (bug #657748), albeit this
+ # should be rarely used directly nowadays and could be removable
+ # (removing would also solve the one-time QA issue described below)
+ dosym -r /etc/eselect/wine/wine /usr/lib/wine
+ dosym -r /etc/eselect/wine/include /usr/include/wine
+
+ einstalldocs
+}
+
+pkg_preinst() {
+ if has_version '<app-eselect/eselect-wine-2'; then
+ # keep copy of still-set 'active' to auto-select same slots
+ if [[ -e ${EROOT}/etc/eselect/wine/active &&
+ ! -e ${EROOT}/etc/eselect/wine/eselect-wine-migration ]]; then
+ cp "${EROOT}"/etc/eselect/wine/{active,eselect-wine-migration} || die
+ fi
+
+ # managed differently, need cleanup
+ eselect wine unset --all || die
+ rm -f "${EROOT}"/etc/eselect/wine/{active,installed,links/{any,vanilla,staging,proton,wine}} || die
+ rmdir "${EROOT}"/etc/eselect/wine/links 2>/dev/null
+
+ # some rare man dirs were created by old eselect, cleanup if now empty
+ rmdir "${EROOT}"/usr/share/man/{de,fr,pl}.UTF-8{/man1,} 2>/dev/null
+ fi
+
+ # lacking QA_BROKEN_SYMLINK, and rather avoid live /usr changes wrt
+ # bug #632576, nor create "owned" placeholders that will be clobbered
+ [[ -e ${EROOT}/etc/eselect/wine/bin/wine ]] ||
+ eqawarn "QA Note: broken symlinks QA is normal on first merge, targets created after"
+}
+
+pkg_postinst() {
+ eselect wine update --if-unset || die
+
+ rm -f "${EROOT}"/etc/eselect/wine/eselect-wine-migration || die # see preinst
+
+ if [[ ! ${REPLACING_VERSIONS##* } ]] ||
+ ver_test ${REPLACING_VERSIONS##* } -lt 2; then
+ elog
+ [[ ${REPLACING_VERSIONS} ]] &&
+ elog "${PN} changed a bit, suggest reviewing 'eselect wine help' (and list)."
+ elog "Please run '. ${EROOT}/etc/profile' to update PATH in current shells."
+ elog "Wine can otherwise be executed directly at '${EROOT}/etc/eselect/wine/bin/wine'."
+ fi
+
+ if [[ ${REPLACING_VERSIONS##* } ]] &&
+ ver_test ${REPLACING_VERSIONS##* } -lt 2.0.2-r1; then
+ elog
+ elog "Be warned that >=${PN}-2.0.2-r1 no longer installs the"
+ elog "'${EROOT}/usr/bin/wine' symbolic link. wine(1) can still be found"
+ elog "in PATH but, if using the direct location for scripts and/or binfmt,"
+ elog "then please update these to use: '${EROOT}/etc/eselect/wine/bin/wine'"
+ fi
+}
+
+pkg_prerm() {
+ [[ ${REPLACED_BY_VERSION} ]] || eselect wine update --reset # no die
+}
next reply other threads:[~2023-07-30 16:18 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-07-30 16:18 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-14 8:00 [gentoo-commits] repo/gentoo:master commit in: app-eselect/eselect-wine/ Ionen Wolkens
2024-07-25 21:49 Ionen Wolkens
2023-08-23 15:41 Ionen Wolkens
2023-08-23 15:41 Ionen Wolkens
2023-08-06 4:32 Ionen Wolkens
2023-07-30 19:29 Ionen Wolkens
2023-03-03 5:26 Ionen Wolkens
2022-12-29 20:29 Ionen Wolkens
2022-12-05 20:46 Ionen Wolkens
2022-12-03 22:40 Ionen Wolkens
2022-12-03 14:08 Ionen Wolkens
2022-12-03 13:52 Ionen Wolkens
2022-12-03 1:03 Ionen Wolkens
2022-12-02 3:18 Ionen Wolkens
2022-12-02 3:18 Ionen Wolkens
2022-11-29 0:27 Ionen Wolkens
2022-11-23 20:39 Ionen Wolkens
2022-11-23 20:39 Ionen Wolkens
2022-11-20 17:12 Ionen Wolkens
2022-11-17 7:53 Ionen Wolkens
2022-11-16 17:01 Ionen Wolkens
2022-11-16 15:02 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-08-11 18:41 Nick Sarnie
2022-07-24 8:26 Joonas Niilola
2021-02-07 1:43 Sam James
2017-09-29 3:07 NP Hardass
2017-09-28 22:32 NP Hardass
2017-09-15 6:10 NP Hardass
2017-09-15 6:01 NP Hardass
2017-09-13 23:54 NP Hardass
2017-08-07 14:10 NP Hardass
2017-04-12 1:37 NP Hardass
2017-04-11 6:03 NP Hardass
2017-04-10 17:22 NP Hardass
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1690733824.128b13f15d285daec216c6092bf0eab189743d6d.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox